package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

public class DSEFeedbackResponse implements Serializable {

    @SerializedName("response")
    @Expose
    private String response;
    @SerializedName("data")
    @Expose
    private List<DSEFeedbackData> feedBackData = null;
    @SerializedName("message")
    @Expose
    private String message;
    @SerializedName("response_text")
    @Expose
    private String responseText;
    @SerializedName("status")
    @Expose
    private Integer status;
    private final static long serialVersionUID = -7174307558198735285L;

    public String getResponse() {
        return response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public List<DSEFeedbackData> getFeedBackData() {
        return feedBackData;
    }

    public void setFeedBackData(List<DSEFeedbackData> feedBackData) {
        this.feedBackData = feedBackData;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getResponseText() {
        return responseText;
    }

    public void setResponseText(String responseText) {
        this.responseText = responseText;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public static class DSEFeedbackData implements Serializable {

        @SerializedName("assessmentid")
        @Expose
        private String assessmentid;
        @SerializedName("filter_zone")
        @Expose
        private String filterZone;
        @SerializedName("filter_region")
        @Expose
        private String filterRegion;
        @SerializedName("filter_dealer")
        @Expose
        private String filterDealer;
        @SerializedName("status")
        @Expose
        private String status;
        @SerializedName("schedule_id")
        @Expose
        private String scheduleId;
        @SerializedName("start_date")
        @Expose
        private String startDate;
        @SerializedName("end_date")
        @Expose
        private String endDate;
        @SerializedName("venue_type")
        @Expose
        private String venueType;
        @SerializedName("venue_am")
        @Expose
        private String venueAm;
        @SerializedName("venue_dealer")
        @Expose
        private String venueDealer;
        @SerializedName("venue_address")
        @Expose
        private String venueAddress;
        @SerializedName("title")
        @Expose
        private String title;
        @SerializedName("publisheddate_str")
        @Expose
        private String publisheddateStr;
        @SerializedName("assessmentimage_url")
        @Expose
        private String assessmentimageUrl;
        @SerializedName("is_expired")
        @Expose
        private String isExpired;
        @SerializedName("remarks")
        @Expose
        private String remarks;
        @SerializedName("statusname")
        @Expose
        private String statusname;
        @SerializedName("attempt_time")
        @Expose
        private String attemptTime;
        @SerializedName("is_attended")
        @Expose
        private String isAttended;
        @SerializedName("result_id")
        @Expose
        private String resultId;
        @SerializedName("highscore")
        @Expose
        private String highscore;
        @SerializedName("overall_feedback")
        @Expose
        private String overallFeedback;
        @SerializedName("trainer_feedback")
        @Expose
        private String trainerFeedback;
        @SerializedName("training_feedback")
        @Expose
        private String trainingFeedback;

        //total_participants
        @SerializedName("total_participants")
        @Expose
        private String total_participants;

        //"organizer_name": "Dhirendra Singh",
        // "training_id": "BS-DS-310820-310820",

        @SerializedName("organizer_name")
        @Expose
        private String organizer_name;

        @SerializedName("training_id")
        @Expose
        private String training_id;

        //training_group_image
        @SerializedName("training_group_image")
        @Expose
        private String training_group_image;
        //"is_expired": "1",
        //      "is_completed": "1",
        //      "remarks": "Trescha said he will have the ",

        @SerializedName("is_completed")
        @Expose
        private String is_completed;

        public String getTraining_group_image() {
            return training_group_image;
        }

        public void setTraining_group_image(String training_group_image) {
            this.training_group_image = training_group_image;
        }

        public String getIs_completed() {
            return is_completed;
        }

        public void setIs_completed(String is_completed) {
            this.is_completed = is_completed;
        }

        public String getOrganizer_name() {
            return organizer_name;
        }

        public void setOrganizer_name(String organizer_name) {
            this.organizer_name = organizer_name;
        }

        public String getTraining_id() {
            return training_id;
        }

        public void setTraining_id(String training_id) {
            this.training_id = training_id;
        }

        public String getTotal_participants() {
            return total_participants;
        }

        public void setTotal_participants(String total_participants) {
            this.total_participants = total_participants;
        }

        private final static long serialVersionUID = 3570717105615031710L;

        public String getAssessmentid() {
            return assessmentid;
        }

        public void setAssessmentid(String assessmentid) {
            this.assessmentid = assessmentid;
        }

        public String getFilterZone() {
            return filterZone;
        }

        public void setFilterZone(String filterZone) {
            this.filterZone = filterZone;
        }

        public String getFilterRegion() {
            return filterRegion;
        }

        public void setFilterRegion(String filterRegion) {
            this.filterRegion = filterRegion;
        }

        public String getFilterDealer() {
            return filterDealer;
        }

        public void setFilterDealer(String filterDealer) {
            this.filterDealer = filterDealer;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public String getScheduleId() {
            return scheduleId;
        }

        public void setScheduleId(String scheduleId) {
            this.scheduleId = scheduleId;
        }

        public String getStartDate() {
            return startDate;
        }

        public void setStartDate(String startDate) {
            this.startDate = startDate;
        }

        public String getEndDate() {
            return endDate;
        }

        public void setEndDate(String endDate) {
            this.endDate = endDate;
        }

        public String getVenueType() {
            return venueType;
        }

        public void setVenueType(String venueType) {
            this.venueType = venueType;
        }

        public String getVenueAm() {
            return venueAm;
        }

        public void setVenueAm(String venueAm) {
            this.venueAm = venueAm;
        }

        public String getVenueDealer() {
            return venueDealer;
        }

        public void setVenueDealer(String venueDealer) {
            this.venueDealer = venueDealer;
        }

        public String getVenueAddress() {
            return venueAddress;
        }

        public void setVenueAddress(String venueAddress) {
            this.venueAddress = venueAddress;
        }

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public String getPublisheddateStr() {
            return publisheddateStr;
        }

        public void setPublisheddateStr(String publisheddateStr) {
            this.publisheddateStr = publisheddateStr;
        }

        public String getAssessmentimageUrl() {
            return assessmentimageUrl;
        }

        public void setAssessmentimageUrl(String assessmentimageUrl) {
            this.assessmentimageUrl = assessmentimageUrl;
        }

        public String getIsExpired() {
            return isExpired;
        }

        public void setIsExpired(String isExpired) {
            this.isExpired = isExpired;
        }


        public String getStatusname() {
            return statusname;
        }

        public void setStatusname(String statusname) {
            this.statusname = statusname;
        }

        public String getIsAttended() {
            return isAttended;
        }

        public void setIsAttended(String isAttended) {
            this.isAttended = isAttended;
        }

        public String getResultId() {
            return resultId;
        }

        public void setResultId(String resultId) {
            this.resultId = resultId;
        }

        public String getHighscore() {
            return highscore;
        }

        public void setHighscore(String highscore) {
            this.highscore = highscore;
        }

        public String getRemarks() {
            return remarks;
        }

        public void setRemarks(String remarks) {
            this.remarks = remarks;
        }

        public String getAttemptTime() {
            return attemptTime;
        }

        public void setAttemptTime(String attemptTime) {
            this.attemptTime = attemptTime;
        }

        public String getOverallFeedback() {
            return overallFeedback;
        }

        public void setOverallFeedback(String overallFeedback) {
            this.overallFeedback = overallFeedback;
        }

        public String getTrainerFeedback() {
            return trainerFeedback;
        }

        public void setTrainerFeedback(String trainerFeedback) {
            this.trainerFeedback = trainerFeedback;
        }

        public String getTrainingFeedback() {
            return trainingFeedback;
        }

        public void setTrainingFeedback(String trainingFeedback) {
            this.trainingFeedback = trainingFeedback;
        }
    }
}